#pragma once
#include <Imagine/Graphics.h>

const int taille=500;
const int marge=20;

struct Curve {
    float* x;
    float* y;
    int n;
};

struct doubleAffine {
    float ax, bx;
    float ay, by;
};

Curve newCurve(int nb);
void deleteCurve(Curve c);
void regularx(Curve c, float min, float max);
doubleAffine fill(float xmin, float xmax, float ymin, float ymax);
doubleAffine fit(Curve c);
void drawCurve(Curve c, doubleAffine aff, Imagine::Color col);
int indexClick(Curve c, doubleAffine aff, int x, int y);
